Install MetaKeywords extension on en.wiktionary
Closed, InvalidPublic

Description

Author: conrad.irwin

Description:
The Wiktionary community has voted to install the MetaKeywords extension to allow us to have some manual control over the <meta> tags that are used on the site.

The extension can be found at
http://en.wiktionary.org/wiki/User:Conrad.Irwin/MetaKeywords.php

and the vote can be found at
http://en.wiktionary.org/wiki/Wiktionary:Votes/2008-06/Install_MetaKeywords_Extension


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz14882.
bzimport created this task.Via LegacyJul 21 2008, 11:38 PM
bzimport added a comment.Via ConduitJul 22 2008, 4:25 PM

msh210+wmfbugzilla wrote:

The *English* Wiktionary community has voted. (That should be obvious from other clues, but it can't hurt to clarify.)

Nikerabbit added a comment.Via ConduitJul 22 2008, 4:48 PM

Is this extension in the SVN repository?

bzimport added a comment.Via ConduitJul 22 2008, 4:52 PM

conrad.irwin wrote:

No, though it presumably needs to be, how would I get it there given that I don't have commit access?

bzimport added a comment.Via ConduitJul 28 2008, 9:15 PM

conrad.irwin wrote:

This can now be found at http://svn.wikimedia.org/svnroot/mediawiki/trunk/extensions/MetaKeywords/ and so it can now be checked out and required by the en.wiktionary config file.

require_once ("$IP/extensions/MetaKeywords/MetaKeywords.php")

siebrand added a comment.Via ConduitAug 11 2008, 12:18 PM

Add keyword 'need-review'. Only adding the require_once to the config gives 4 notices (see below). Requested a patch from the author. May consider to spit off the hooks into a class. Made some minor updates in r39132.

Notice: Undefined offset: -1 in phase3\extensions\MetaKeywords\MetaKeywords.php on line 51
Notice: Undefined index: * in phase3\extensions\MetaKeywords\MetaKeywords.php on line 53
Notice: Undefined offset: -1 in phase3\extensions\MetaKeywords\MetaKeywords.php on line 65
Notice: Undefined index: * in phase3\extensions\MetaKeywords\MetaKeywords.php on line 67

Suggested to add some defaults in MetaKeywords.i18n.php for Mediawiki:Metakeywords and Mediawiki:Metadescription.

bzimport added a comment.Via ConduitAug 12 2008, 11:01 PM

conrad.irwin wrote:

Fixes several issues with MetaKeywords.

Thanks Siebrand. This patch fixes a few major/minor bugs (some of which I fixed before, but got lost somehow), clears up all the warnings, adds some default documentation to the messages, and works on svn head.

attachment newversion.patch ignored as obsolete

siebrand added a comment.Via ConduitAug 13 2008, 6:41 AM

Comment on attachment 5173
Fixes several issues with MetaKeywords.

Applied in r39275. Thanks.

brion added a comment.Via ConduitNov 17 2008, 6:00 AM

Resolving this as INVALID -- will not install this extension.

  1. <meta keywords> are obsolete, ignored by most or all modern search spiders. Absent specific documentation indicating that there is some specific benefit we can get, we should not bother producing them. (Removing the existing crappy default <meta keywords> is on my todo list!)
  1. If they were known to be useful, then we would need smarter generation which produces relevant keywords based on the actual page -- applying the same keywords to the entire wiki's content namespace would be misleading at best.
  1. <meta description> appears to actually be used, at least sometimes, for search engine result listings. But again, making use of this would require sensible and appropriate descriptions to be created for each page; a general "definition of XYZ" for every single entry would harm more than it helps, since if it were used it would make search results much less useful -- they would lack any actual definition text!
  1. Nor is it clear that a <meta description> would help at all with *ranking*.
bzimport added a comment.Via ConduitNov 17 2008, 6:02 AM

msh210+wmfbugzilla wrote:

<meta description> will help with ranking on searches for "definition of" if "definition of" appears in the meta tag and not the text, for example. Please reconsider resolution.

brion added a comment.Via ConduitNov 17 2008, 6:03 AM

A general description of <meta description> best practices:

http://googlewebmastercentral.blogspot.com/2007/09/improve-snippets-with-meta-description.html

"Using identical or similar descriptions on every page of a site isn't very helpful when individual pages appear in the web results."

brion added a comment.Via ConduitNov 17 2008, 6:04 AM

Oh, and:

"And it's worth noting that while accurate meta descriptions can improve clickthrough, they won't affect your ranking within search results."

Sorry guys, no Google juice.

bzimport added a comment.Via ConduitNov 17 2008, 9:55 AM

Wiki.Melancholie wrote:

Note that there is not just Google out there (although behaviour may be pretty the same for almost all search engines today).

Note that there is an easy way for certain pages to have accurate keywords in the meta tag!
See [[wikt:User:Melancholie/meta-keywords]] (the only point that has to be met is that the keywords have to be re-mentioned in text itself)

Oh, and do not use ImageMaps, use |link= ...

bzimport added a comment.Via ConduitNov 17 2008, 10:01 AM

Wiki.Melancholie wrote:

Oh, and: Isn't improved clickthrough something we want to achieve?

Currently, Google often shows that "Jump to: navigation search" stuff! Is that better?

bzimport added a comment.Via ConduitNov 17 2008, 1:52 PM

conrad.irwin wrote:

The motivation for requesting this changes was that our pages did not contain the word "dictionary", "definition" or other words people use to search for dictionaries. This meant, that until we added a hidden tagline to each page, searches for "definition of word" "word dictionary" did not include Wiktionary at all (even when wiktionary was in the top 10 for "word" on its own). The extension should probably be named meta-description, as that was its main intended use - however I saved the file as keywords, and it stuck. It would be neater from every point of view to have "Definitions of $1 from Wiktionary, a free dictionary" in the <meta description> instead of in a hidden <span> on each page, though it is not necessary that necessary except to avoid misleading people.

Compare http://www.google.com/search?q=chalcidology+dictionary and http://www.google.com/search?q=chalcidology . (At the time of writing the second search contains wiktionary, the first doesn't - google haven't recrawled this page recently) Luckily Google now (in the past few months) uses Wiktionary as a source of definitions, so we can provide useful information at http://www.google.com/search?q=definition+of+chalcidology even though the website itself doesn't appear. The problem with using the tagline for this can be seen at http://search.live.com/results.aspx?q=chalcidology+dictionary&go=&form=QBRE where the talk page appears even though it is irrelevant.

bzimport added a comment.Via ConduitNov 17 2008, 1:53 PM

ran.arigur wrote:

Re: comment 10: Brion, please read the sentence after that. It's talking about something completely different -- it's talking about the snippets Google will *display*. We don't care if Google displays "definition of ____" for its snippet, or if it uses its normal snippeting algorithm.

The problem addressed by this extension is that (for example) a user Googling for "definition" + [word] would probably be interested in the English Wiktionary's entry for the word, but because we're a dictionary site, we don't generally put the word "definition" on every single page. (Technically we do have it in hidden text, but that's generally considered "cheating"; that sort of thing is supposed to go in the keywords metadata, not in hidden text.)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.